8 Replies Latest reply on Apr 26, 2008 10:25 PM by Jose Andrade Sa Junior

    JBossWS Plugin for JBossIDE / Eclipse

    Ole Matzura Novice

      Hi all,

      We are happy to announce the first public beta of our JBossWS-plugin for JBossIDE / Eclipse (http://www.soapui.org/jbossws/index.html) which has been release as part of the JBossIDE 2.0.0 beta2 release.

      The JBossWS Plugin is a specialized Eclipse plugin for working with the JBossWS webservice stack together with JBossIDE or standalone. In addition to previously available webservice-related functionality in our soapui-eclipse-plugin (http://www.soapui.org/eclipse/index.html), the JBossWS Plugin currently has initial functionality for:

      * Publishing POJO's/EJB's as JBossWS Web Services (walkthrough example: http://www.soapui.org/jbossws/bottomup_example.html)
      * Consuming an existing Web Service with JBossWS
      * Implementing an existing WSDL contract with JBossWS (walkthrough example: http://www.soapui.org/jbossws/topdown_example.html)
      * Adding JSR-181 WebService Annotations to an existing POJOs/EJB3s (walkthrough example: http://www.soapui.org/jbossws/annotations_example.html)

      The following improvements are planned to be available for the final JBossIDE 2.0.0 release:

      * Improved support for implementing Web Services from an existing WSDL contract
      * Improved support for consuming Web Services from en EJB or Servlet
      * Improved support for adding Web Service annotations on a method level
      * Wizards for security configurations
      * Project/File templates for JBossWS projects and related artifacts
      * Tighter integration with the Eclipse Web Tools Projects Web Service support
      * Integrated Help

      We would of course be extremely thankfull for any feedback, bug-reports, suggestions, etc.. Please submit questions and discuss issues here or on the JBoss Eclipse IDE User Forum, and report bugs/requests/etc in JBossIDE JIRA under the "Webservices Plugin" component.

      Also, please come and talk to us att jbossworld in berlin, our spot is on wednesday; http://www.jbossworld.com/agenda_wednesday_schedule.htm#jbws

      regards,

      /Ole
      eviware.com

        • 1. Re: JBossWS Plugin for JBossIDE / Eclipse
          Romeu Figueira Newbie

          Hi there, I'm using a fresh install of JBossIDE 2.0 Beta 2 along with JBossAS 4.0.5 to which I've added the JDK5 version of JBossWS.

          While trying to do the following step: Context Menu - Jboss Ws - Publish as Web Service, I'm getting the following:

          Running JBossWS wstools for [ProvisioningService]
          directory: C:\Temp\workspaceJboss\ProvisioningService
          command: cmd.exe /C C:\Temp\jboss-4.0.5.GA\bin\wstools.bat -cp build/classes -config C:\DOCUME~1\ROMEU_~1\LOCALS~1\Temp\wstools-config42134.xml -dest C:\Temp\workspaceJboss\ProvisioningService\src\gen
          ========================================================================="
          .
           WSTools Environment
          .
           JBOSS_HOME: C:\Temp\jboss-4.0.5.GA\bin\\..
          .
           JAVA: C:\Program Files\Java\jdk1.5.0_07\bin\java
          .
           JAVA_OPTS:
          .
          ========================================================================="
          .
          Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad version number in .class file
           at java.lang.ClassLoader.defineClass1(Native Method)
           at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
           at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
           at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
           at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
           at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
           at java.security.AccessController.doPrivileged(Native Method)
           at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
           at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
           at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
           at org.jboss.ws.tools.helpers.ToolsHelper.loadClass(ToolsHelper.java:369)
           at org.jboss.ws.tools.helpers.ToolsHelper.handleJavaToWSDLGeneration(ToolsHelper.java:110)
           at org.jboss.ws.tools.WSTools.process(WSTools.java:132)
           at org.jboss.ws.tools.WSTools.generate(WSTools.java:120)
           at org.jboss.ws.tools.WSTools.main(WSTools.java:61)


          Now it seems to be a conflict of java Versions, but I cannot seem to find out why.

          Can you help me on this one?

          Thanks,

          Romeu

          • 2. Re: JBossWS Plugin for JBossIDE / Eclipse
            Ole Matzura Novice

            Hi!

            hmm.. strange stuff.. only thing I can think of is that something went wrong during the jbossws installation.. could you try the jems installer which should have everything bundled up?

            http://sourceforge.net/project/showfiles.php?group_id=22866&package_id=193295

            regards!

            /Ole

            • 3. Re: JBossWS Plugin for JBossIDE / Eclipse
              Romeu Figueira Newbie

              Hi there, I've found out what the problem was.

              For a reason still unknonw to me (as it was a fresh out of the box install), my WS project was targeted to run on Java 6 while my development envirionment was set to Java 5.

              I will be developing with this tool, strying to get a grip with some functions. I've also noticed some very minor discrepancies between the tutorial at soapui and what the tool presents to users (besides some also very minor glitches in the tutorial like calling .war files .jar).

              I'm not sure if this (JBossWS forum) would be the best way to give you some feedback on these matters or if you otherwise prefer that my feedback input would be put through other means.

              Best regards,

              Romeu

              • 4. Re: JBossWS Plugin for JBossIDE / Eclipse
                Ole Matzura Novice

                Hi Romeu,

                Great! We are very thankfull for all your feedback, how minor the issue may seem.. either mail me directly (ole@eviware.com) or add relevant issues to the JBoss JIRA and we will try to fix them promptly :-)

                best regards,

                /Ole

                • 7. Re: JBossWS Plugin for JBossIDE / Eclipse
                  Brendan Farragher Newbie

                  Thanks for posting this. In my case, I was using RHDS w/ JBoss 4.2.2. In my case, I created a Dynamic Web Project type. I had to go into the Eclipse Preferences and change my Project facet to use Java 5.0. The default was Java 6, so I was getting the bad class version error until I changed it and redeployed.

                  • 8. Re: JBossWS Plugin for JBossIDE / Eclipse
                    Jose Andrade Sa Junior Newbie

                    Anyone knows why JBossWS was discontinued?? That is a great and fantastic plug-in under eclipse. I can not believe it !! And now, where i can found out a similar plug-in with its facilities and simply!!!

                    Regards,
                    Jose